Index: testsuites/sptests/ChangeLog
===================================================================
--- testsuites/sptests/ChangeLog	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/ChangeLog	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,2 +1,15 @@
+2009-05-10	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* sp04/system.h, sp04/task1.c, sp04/tswitch.c, sp07/init.c,
+	sp12/init.c, sp13/putbuff.c, sp13/system.h, sp13/task1.c,
+	sp15/init.c, sp16/system.h, sp19/fptask.c, sp25/system.h,
+	sp26/task1.c, sp27/init.c, sp28/init.c, sp29/init.c, sp31/task1.c,
+	sp33/init.c, sp34/changepri.c, sp35/priinv.c, sp37/init.c,
+	sp38/init.c, sp39/init.c, sp41/init.c, sp42/init.c, sp43/init.c,
+	sp44/init.c, sp45/init.c, sp46/init.c, sp47/init.c, sp48/init.c,
+	spfatal03/testcase.h, spfatal05/testcase.h, spfatal06/testcase.h,
+	spfatal_support/system.h, spobjgetnext/init.c, spsize/getint.c,
+	spsize/size.c: Fix warnings.
+
 2009-05-07	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: testsuites/sptests/sp04/system.h
===================================================================
--- testsuites/sptests/sp04/system.h	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp04/system.h	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -4,5 +4,5 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -70,11 +70,11 @@
 
 struct taskSwitchLog {
-  int               taskIndex;
+  unsigned int      taskIndex;
   rtems_time_of_day when;
 };
 
 extern struct taskSwitchLog taskSwitchLog[];
-extern int taskSwitchLogIndex;
-volatile extern int testsFinished;
+extern unsigned int taskSwitchLogIndex;
+extern volatile int testsFinished;
 
 
Index: testsuites/sptests/sp04/task1.c
===================================================================
--- testsuites/sptests/sp04/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp04/task1.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -9,5 +9,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -24,6 +24,6 @@
 showTaskSwitches (void)
 {
-  int i;
-  int switches = taskSwitchLogIndex;
+  unsigned int i;
+  unsigned int switches = taskSwitchLogIndex;
 
   for (i = 0 ; i < switches ; i++) {
Index: testsuites/sptests/sp04/tswitch.c
===================================================================
--- testsuites/sptests/sp04/tswitch.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp04/tswitch.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -11,5 +11,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -24,5 +24,5 @@
 
 struct taskSwitchLog taskSwitchLog[1000];
-int taskSwitchLogIndex;
+unsigned int taskSwitchLogIndex;
 volatile int testsFinished;
 
Index: testsuites/sptests/sp07/init.c
===================================================================
--- testsuites/sptests/sp07/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp07/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -12,5 +12,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -133,5 +133,5 @@
   directive_failed( status, "rtems_task_create of TA2" );
 
-#define TA3_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 4)
+#define TA3_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 4u)
   status = rtems_task_create(
     Task_name[ 3 ],
@@ -144,5 +144,5 @@
   directive_failed( status, "rtems_task_create of TA3" );
 
-#define TA4_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 1)
+#define TA4_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 1u)
   status = rtems_task_create(
     Task_name[ 4 ],
Index: testsuites/sptests/sp12/init.c
===================================================================
--- testsuites/sptests/sp12/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp12/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -12,5 +12,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -80,5 +80,5 @@
 
   puts( "INIT - Backward priority queue test" );
-  Priority_test_driver( (RTEMS_MAXIMUM_PRIORITY / 2) + 1 );
+  Priority_test_driver( (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u );
 
 rtems_test_pause();
Index: testsuites/sptests/sp13/putbuff.c
===================================================================
--- testsuites/sptests/sp13/putbuff.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp13/putbuff.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -9,5 +9,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -22,13 +22,14 @@
 
 void Put_buffer(
-  long *buffer
+  void *buffer
 )
 {
   int i, j;
   char c;
+  long *b = buffer;
 
-  for ( i = 0; i < MESSAGE_SIZE / sizeof(long); i++ ) {
+  for ( i = 0; i < (int) (MESSAGE_SIZE / sizeof(long)); i++ ) {
     for ( j = sizeof(long) - 1; j >= 0; j-- ) {
-      if ( (c = (buffer[i] >> (8 * j)) & 0xFF) == 0 )
+      if ( (c = (char)(b[i] >> (8 * j)) & 0xFF) == 0 )
         return;
       printf( "%c", c );
Index: testsuites/sptests/sp13/system.h
===================================================================
--- testsuites/sptests/sp13/system.h	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp13/system.h	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -4,5 +4,5 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-20007.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -28,5 +28,5 @@
 
 void Put_buffer(
-  long *buffer
+  void *buffer
 );
 
Index: testsuites/sptests/sp13/task1.c
===================================================================
--- testsuites/sptests/sp13/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp13/task1.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -8,5 +8,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,10 @@
 #include <string.h>             /* for memcmp */
 
+void dope_buffer(
+  unsigned char *buff,
+  int            buff_size,
+  unsigned char  v
+);
+
 unsigned char big_send_buffer[2048];
 unsigned char big_receive_buffer[2048];
@@ -26,19 +32,20 @@
 long buffer[ MESSAGE_SIZE / sizeof(long) ];
 
-void dope_buffer(unsigned char *buff,
-                 int   buff_size,
-                 uint32_t   v)
+void dope_buffer(
+  unsigned char *buff,
+  int            buff_size,
+  unsigned char  v
+)
 {
-    int i;
-    unsigned char ch;
-
-    ch = (' ' + (v % (0x7f - ' ')));
-
-    for (i=0; i<buff_size; i++)
-    {
-        *buff++ = ch++;
-        if (ch >= 0x7f)
-            ch = ' ';
-    }
+  int           i;
+  unsigned char ch;
+
+  ch = (' ' + (v % (0x7f - ' ')));
+
+  for (i=0; i<buff_size; i++) {
+      *buff++ = ch++;
+      if (ch >= 0x7f)
+          ch = ' ';
+  }
 }
 
Index: testsuites/sptests/sp15/init.c
===================================================================
--- testsuites/sptests/sp15/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp15/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -12,5 +12,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -40,5 +40,5 @@
   status = rtems_task_create(
     Task_name[ 1 ],
-    4,
+    4u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
Index: testsuites/sptests/sp16/system.h
===================================================================
--- testsuites/sptests/sp16/system.h	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp16/system.h	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -4,5 +4,5 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -69,5 +69,5 @@
 TEST_EXTERN uint8_t   Area_4[8192] CPU_STRUCTURE_ALIGNMENT;
 
-#define BASE_PRIORITY ((RTEMS_MAXIMUM_PRIORITY / 2) + 1)
+#define BASE_PRIORITY ((RTEMS_MAXIMUM_PRIORITY / 2u) + 1u)
 
 #define Put_address_from_area_1( _to_be_printed ) \
Index: testsuites/sptests/sp19/fptask.c
===================================================================
--- testsuites/sptests/sp19/fptask.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp19/fptask.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -10,5 +10,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -53,5 +53,5 @@
 #endif
 
-  previous_seconds = -1;
+  previous_seconds = (uint32_t)-1;
 
   while( FOREVER ) {
Index: testsuites/sptests/sp25/system.h
===================================================================
--- testsuites/sptests/sp25/system.h	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp25/system.h	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -4,5 +4,5 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -48,5 +48,5 @@
 TEST_EXTERN uint8_t   Area_1[20*1024]  CPU_STRUCTURE_ALIGNMENT;
 
-#define BASE_PRIORITY ((RTEMS_MAXIMUM_PRIORITY / 2) + 1)
+#define BASE_PRIORITY ((RTEMS_MAXIMUM_PRIORITY / 2u) + 1u)
 
 #define Put_address_from_area_1( _to_be_printed ) \
Index: testsuites/sptests/sp26/task1.c
===================================================================
--- testsuites/sptests/sp26/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp26/task1.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -86,5 +86,5 @@
 
   sc = rtems_task_create (rtems_build_name('S','u','b',c),
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE * 4,
     RTEMS_PREEMPT|RTEMS_NO_TIMESLICE|RTEMS_NO_ASR|RTEMS_INTERRUPT_LEVEL(0),
Index: testsuites/sptests/sp27/init.c
===================================================================
--- testsuites/sptests/sp27/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp27/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,4 +1,11 @@
 /*
  *  Test for rtems_semaphore_flush
+ *
+ *  COPYRIGHT (c) 1989-2009.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
@@ -8,4 +15,6 @@
 
 rtems_task Init (rtems_task_argument argument);
+void starttask(int arg);
+rtems_task subtask(rtems_task_argument arg);
 
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
@@ -65,5 +74,5 @@
     rtems_task_suspend (RTEMS_SELF);
   }
-  sc = rtems_task_start (tid, subtask, arg);
+  sc = rtems_task_start (tid, subtask, (rtems_task_argument) arg);
   if (sc != RTEMS_SUCCESSFUL) {
   	printf ("Can't start task: %s\n", rtems_status_text (sc));
Index: testsuites/sptests/sp28/init.c
===================================================================
--- testsuites/sptests/sp28/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp28/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,3 +1,6 @@
 /*
+ *  COPYRIGHT (c) 1989-2009.
+ *  On-Line Applications Research Corporation (OAR).
+ *
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
@@ -28,4 +31,15 @@
 #include <rtems/error.h>
 #include <stdio.h>
+
+rtems_task subtask(rtems_task_argument arg);
+rtems_task Task_variable_deleter(rtems_task_argument ignored);
+void starttask(int arg);
+void test_errors(void);
+void test_dtor(void *pointer);
+void test_multiple_taskvars(void);
+void test_out_of_memory(void);
+rtems_task Other_Task(rtems_task_argument ignored);
+void test_delete_from_other_task(void);
+void test_delete_as_side_effect(void);
 
 volatile void *taskvar;
@@ -97,5 +111,5 @@
 
   sc = rtems_task_create(rtems_build_name ('S', 'R', 'V', arg + 'A'),
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_PREEMPT|RTEMS_NO_TIMESLICE|RTEMS_NO_ASR|RTEMS_INTERRUPT_LEVEL(0),
@@ -281,5 +295,5 @@
 
   sc = rtems_task_create(rtems_build_name ('O', 'T', 'H', 'R'),
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_PREEMPT|RTEMS_NO_TIMESLICE|RTEMS_NO_ASR|RTEMS_INTERRUPT_LEVEL(0),
@@ -328,5 +342,5 @@
 
   sc = rtems_task_create(rtems_build_name ('O', 'T', 'H', 'R'),
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_PREEMPT|RTEMS_NO_TIMESLICE|RTEMS_NO_ASR|RTEMS_INTERRUPT_LEVEL(0),
Index: testsuites/sptests/sp29/init.c
===================================================================
--- testsuites/sptests/sp29/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp29/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,4 +1,8 @@
 /*
  *  Test for rtems_semaphore_flush
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
@@ -27,4 +31,6 @@
 
 rtems_interval ticksPerSecond;
+rtems_task subtask(rtems_task_argument arg);
+void startTask(rtems_id arg);
 
 rtems_task
@@ -50,5 +56,5 @@
 
 	sc = rtems_task_create (rtems_build_name ('S', 'R', 'V', 'A'),
-		RTEMS_MAXIMUM_PRIORITY - 1,
+		RTEMS_MAXIMUM_PRIORITY - 1u,
 		RTEMS_MINIMUM_STACK_SIZE * 2,
 		RTEMS_PREEMPT|RTEMS_NO_TIMESLICE|RTEMS_NO_ASR|RTEMS_INTERRUPT_LEVEL(0),
@@ -173,9 +179,9 @@
 		sc = rtems_semaphore_obtain (semnorec, RTEMS_WAIT, RTEMS_NO_TIMEOUT);
 		rtems_clock_get (RTEMS_CLOCK_GET_TICKS_SINCE_BOOT, &now);
-		diff = now - then;
+		diff = (int) (now - then);
 		then = now;
 		if (sc != RTEMS_SUCCESSFUL)
 			printf ("%d: Failed to obtain non-recursive-lock semaphore: %s\n", __LINE__, rtems_status_text (sc));
-		else if (diff < (2 * ticksPerSecond))
+		else if (diff < (int) (2 * ticksPerSecond))
 			printf ("%d: Obtained obtain non-recursive-lock semaphore too quickly -- %d ticks not %d ticks\n", __LINE__, diff, (2 * ticksPerSecond) );
 	}
Index: testsuites/sptests/sp31/task1.c
===================================================================
--- testsuites/sptests/sp31/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp31/task1.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -9,5 +9,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-2002.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -20,4 +20,9 @@
 
 #include "system.h"
+
+rtems_timer_service_routine Should_not_fire_TSR(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
 
 volatile int TSR_fired;
Index: testsuites/sptests/sp33/init.c
===================================================================
--- testsuites/sptests/sp33/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp33/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,7 +1,11 @@
-/* spmonotonic -- sanity check the rate monotonic manager
+/*
+ *  spmonotonic -- sanity check the rate monotonic manager
  *
- * license and distribution terms for this file may be found in the file
- * LICENSE in this distribution or at
- * http://www.rtems.com/license/LICENSE .
+ *  COPYRIGHT (c) 1989-2009.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
@@ -22,4 +26,8 @@
 
 #define CONFIGURE_INIT
+
+rtems_task Waiter(
+  rtems_task_argument number
+);
 
 rtems_id    Barrier;
Index: testsuites/sptests/sp34/changepri.c
===================================================================
--- testsuites/sptests/sp34/changepri.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp34/changepri.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -2,4 +2,8 @@
  *  Test program to demonstrate reordering of threads on thread queues
  *  when their priority changes.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
@@ -25,9 +29,11 @@
 
 rtems_task BlockingTasks(rtems_task_argument arg);
+rtems_task Init(rtems_task_argument ignored);
+const char *CallerName(void);
 
 /*
  *  CallerName -- print the calling tasks name or id as configured
  */
-const char *CallerName()
+const char *CallerName(void)
 {
   static char buffer[32];
@@ -111,5 +117,5 @@
     status = rtems_task_create(
       rtems_build_name('B','L','K','0'+i),               /* Name */
-      2+i,                                               /* Priority */
+      (rtems_task_priority) 2+i,                         /* Priority */
       RTEMS_MINIMUM_STACK_SIZE*2,                        /* Stack size (8KB) */
       RTEMS_DEFAULT_MODES | RTEMS_NO_ASR,                /* Mode */
@@ -119,5 +125,9 @@
   
     printf( "Blockers[%d] Id = 0x%08x\n", i, Blockers[i] );
-    status = rtems_task_start(Blockers[i], BlockingTasks, i);
+    status = rtems_task_start(
+      Blockers[i],
+      BlockingTasks,
+      (rtems_task_argument)i
+    );
     directive_failed( status, "rtems_task_start (BLKn)" );
   }
@@ -129,5 +139,7 @@
   for (i = 0; i < NUMBER_OF_BLOCKING_TASKS; i++) {
     rtems_task_priority opri;
-    rtems_task_priority npri= 2 + NUMBER_OF_BLOCKING_TASKS - i - 1;
+    rtems_task_priority npri;
+
+    npri = (rtems_task_priority) (2 + NUMBER_OF_BLOCKING_TASKS - i - 1);
 
     status = rtems_task_set_priority(Blockers[i], npri, &opri);
Index: testsuites/sptests/sp35/priinv.c
===================================================================
--- testsuites/sptests/sp35/priinv.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp35/priinv.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -8,4 +8,8 @@
  *  ----------------------------- --- -- -  -   -
  *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
+ *
  *  $Id$
  */
@@ -57,5 +61,8 @@
 #endif
 
+const char *CallerName(void);
+
 /* Task entry point prototypes */
+rtems_task Init(rtems_task_argument ignored);
 rtems_task Medium_Exec(rtems_task_argument TaskArg);
 rtems_task Low_Exec(rtems_task_argument TaskArg);
@@ -70,5 +77,5 @@
 void AccessRemoteHw(void);
 
-const char *CallerName()
+const char *CallerName(void)
 {
   static char buffer[32];
@@ -411,5 +418,5 @@
   /* -- Medium-prio Test Tasks --- */
   for (i = 0; i < NofMediumTask_C; i++) {
-#define MEDIUM_PRIORITY ((RTEMS_MAXIMUM_PRIORITY / 2) + 1)
+#define MEDIUM_PRIORITY ((RTEMS_MAXIMUM_PRIORITY / 2u) + 1u)
     status = rtems_task_create(
       rtems_build_name('M','E','D','0'+i),               /* Name */
@@ -422,10 +429,14 @@
 
     printf( "TaMedium[%d] Id = 0x%08x\n", i, TaMedium[i] );
-    status = rtems_task_start(TaMedium[i], Medium_Exec, i);
+    status = rtems_task_start(
+      TaMedium[i],
+      Medium_Exec,
+      (rtems_task_argument) i
+    );
     directive_failed( status, "rtems_task_start (MEDn)" );
   }
 
   /* -- High-prio Test Task --- */
-#define HIGH_PRIORITY ((RTEMS_MAXIMUM_PRIORITY / 2))
+#define HIGH_PRIORITY ((RTEMS_MAXIMUM_PRIORITY / 2u))
   status = rtems_task_create(
     rtems_build_name('H','I','G','H'),                 /* Name */
@@ -442,5 +453,5 @@
 
   /* -- Low-prio Test Task --- */
-#define LOW_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 1)
+#define LOW_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 1u)
   status = rtems_task_create(
     rtems_build_name('L','O','W',' '),                 /* Name */
@@ -457,5 +468,5 @@
 
   /* -- HW Simulator Task --- */
-#define HWTASK_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 2)
+#define HWTASK_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 2u)
   status = rtems_task_create(
     rtems_build_name('H','W','S','M'),                 /* Name */
Index: testsuites/sptests/sp37/init.c
===================================================================
--- testsuites/sptests/sp37/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp37/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -3,5 +3,5 @@
  *  Clock Tick from task level
  *
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -17,4 +17,26 @@
 #include "system.h"
 
+/* prototypes */
+void test_interrupt_inline(void);
+void check_isr_in_progress_inline(void);
+rtems_task blocked_task(rtems_task_argument argument);
+rtems_timer_service_routine test_unblock_task(
+  rtems_id  timer,
+  void     *arg
+);
+rtems_timer_service_routine test_unblock_task(
+  rtems_id  timer,
+  void     *arg
+);
+void check_isr_worked(
+  char *s,
+  int   result
+);
+rtems_timer_service_routine test_isr_in_progress(
+  rtems_id  timer,
+  void     *arg
+);
+
+/* test bodies */
 void test_interrupt_inline(void)
 {
Index: testsuites/sptests/sp38/init.c
===================================================================
--- testsuites/sptests/sp38/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp38/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -2,5 +2,5 @@
  *  Classic API Signal to Task from ISR
  *
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -19,4 +19,9 @@
 
 rtems_id main_task;
+void signal_handler(rtems_signal_set signals);
+rtems_timer_service_routine test_signal_from_isr(
+  rtems_id  timer,
+  void     *arg
+);
 
 void signal_handler(
Index: testsuites/sptests/sp39/init.c
===================================================================
--- testsuites/sptests/sp39/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp39/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -2,5 +2,5 @@
  *  Classic API Signal to Task from ISR
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -14,4 +14,13 @@
 #define CONFIGURE_INIT
 #include "system.h"
+
+rtems_timer_service_routine test_event_from_isr(
+  rtems_id  timer,
+  void     *arg
+);
+rtems_timer_service_routine test_event_with_timeout_from_isr(
+  rtems_id  timer,
+  void     *arg
+);
 
 volatile bool case_hit;
Index: testsuites/sptests/sp41/init.c
===================================================================
--- testsuites/sptests/sp41/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp41/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -2,5 +2,5 @@
  *  Classic API Signal to Task from ISR
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,15 @@
 rtems_id Semaphore;
 
+/* prototypes */
+Thread_blocking_operation_States getState(void);
+rtems_timer_service_routine test_release_from_isr(
+  rtems_id  timer,
+  void     *arg
+);
+rtems_timer_service_routine test_release_with_timeout_from_isr(
+  rtems_id  timer,
+  void     *arg
+);
+
 Thread_blocking_operation_States getState(void)
 {
Index: testsuites/sptests/sp42/init.c
===================================================================
--- testsuites/sptests/sp42/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp42/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -2,5 +2,5 @@
  *  Exercise thread queue enqueue and dequeue priority
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -20,4 +20,11 @@
 
 #define MAX_TASKS 20
+
+rtems_task Init(rtems_task_argument argument);
+rtems_task Locker_task(rtems_task_argument unused);
+void do_test(
+  rtems_attribute attr,
+  bool            extract  /* TRUE if extract, not release */
+);
 
 /*
@@ -109,5 +116,6 @@
     directive_failed( status, "rtems_task_create" ); 
 
-    status = rtems_task_start( Task_id[ i ], Locker_task, i );
+    status = rtems_task_start(
+      Task_id[ i ], Locker_task, (rtems_task_argument)i );
     directive_failed( status, "rtems_task_start" ); 
 
Index: testsuites/sptests/sp43/init.c
===================================================================
--- testsuites/sptests/sp43/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp43/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -2,5 +2,5 @@
  *  Exercise Object Manager Services
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -23,4 +23,15 @@
 #undef rtems_object_id_get_index
 #undef rtems_object_id_get_node
+
+void print_class_info(
+  uint32_t                            api,
+  uint32_t                            class,
+  rtems_object_api_class_information *info
+);
+void change_name(
+  rtems_id    id,
+  const char *newName,
+  bool        printable
+);
 
 rtems_id         main_task;
Index: testsuites/sptests/sp44/init.c
===================================================================
--- testsuites/sptests/sp44/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp44/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -32,4 +32,7 @@
 #include <stdio.h>
 #include <stdlib.h>
+
+rtems_task Init(rtems_task_argument ignored);
+rtems_task TaskAB_entry(rtems_task_argument me);
 
 /*** Task priorities ***/
Index: testsuites/sptests/sp45/init.c
===================================================================
--- testsuites/sptests/sp45/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp45/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -11,4 +11,12 @@
 
 #include <tmacros.h>
+
+rtems_task Init(
+  rtems_task_argument argument
+);
+rtems_timer_service_routine Malloc_From_TSR(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
 
 rtems_id   Timer_id[ 3 ];    /* array of timer ids */
Index: testsuites/sptests/sp46/init.c
===================================================================
--- testsuites/sptests/sp46/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp46/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -12,4 +12,11 @@
 #include <tmacros.h>
 #include <rtems/cpuuse.h>
+
+rtems_task Periodic_Task(
+  rtems_task_argument argument
+);
+rtems_task Init(
+  rtems_task_argument argument
+);
 
 volatile int partial_loop = 0;
Index: testsuites/sptests/sp47/init.c
===================================================================
--- testsuites/sptests/sp47/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp47/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -6,4 +6,7 @@
 
 #include <tmacros.h>
+
+rtems_task test_asr(rtems_task_argument unused);
+rtems_task Init(rtems_task_argument ignored);
 
 rtems_task test_asr(rtems_task_argument unused)
Index: testsuites/sptests/sp48/init.c
===================================================================
--- testsuites/sptests/sp48/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/sp48/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,4 +1,11 @@
 /*
  *  Verify creation of semaphores with unlimited attribute works.
+ *
+ *  COPYRIGHT (c) 1989-2009.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
@@ -7,4 +14,6 @@
 #include <tmacros.h>
 #include <rtems/libcsupport.h>
+
+rtems_task Init(rtems_task_argument ignored);
 
 #define MAX 5000
Index: testsuites/sptests/spfatal03/testcase.h
===================================================================
--- testsuites/sptests/spfatal03/testcase.h	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/spfatal03/testcase.h	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,4 +1,11 @@
 /*
- * Classic API Init task create failure
+ *  Classic API Init task create failure
+ *
+ *  COPYRIGHT (c) 1989-2009.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
@@ -35,9 +42,7 @@
 rtems_name Mutex_name[1];
 
-void force_error()
+void force_error(void)
 {
-  ISR_Level level;
   rtems_status_code status;
-
 
   Mutex_name[0] = rtems_build_name( 'S','0',' ',' ');
@@ -61,5 +66,4 @@
 
   _Thread_Enable_dispatch();
-  _ISR_Enable( level );
   directive_failed( status, "rtems_semaphore_obtain" );
  
Index: testsuites/sptests/spfatal05/testcase.h
===================================================================
--- testsuites/sptests/spfatal05/testcase.h	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/spfatal05/testcase.h	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,4 +1,11 @@
 /*
- * Classic API Init task create failure
+ *  Classic API Init task create failure
+ *
+ *  COPYRIGHT (c) 1989-2009.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
@@ -32,4 +39,6 @@
 #define FATAL_ERROR_EXPECTED_ERROR       INTERNAL_ERROR_THREAD_EXITTED
 
+rtems_task EmptyTask( rtems_task_argument unused );
+
 rtems_task EmptyTask(
   rtems_task_argument unused
Index: testsuites/sptests/spfatal06/testcase.h
===================================================================
--- testsuites/sptests/spfatal06/testcase.h	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/spfatal06/testcase.h	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,4 +1,4 @@
 /*
- * Classic API Init task create failure
+ *  Classic API Init task create failure
  *
  *  COPYRIGHT (c) 1989-2008.
@@ -37,4 +37,6 @@
 #define FATAL_ERROR_EXPECTED_ERROR       INTERNAL_ERROR_BAD_STACK_HOOK
 
+void *New_stack_allocate_hook(uint32_t unused);
+
 void *New_stack_allocate_hook(uint32_t unused)
 {
Index: testsuites/sptests/spfatal_support/system.h
===================================================================
--- testsuites/sptests/spfatal_support/system.h	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/spfatal_support/system.h	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -4,5 +4,5 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -33,5 +33,16 @@
 );
 
-/* need prototypes */
+void Put_Error(
+  uint32_t source,
+  uint32_t error
+);
+
+void Put_Source(
+  uint32_t source
+);
+
+void force_error(void);
+
+/* need some prototypes for test cases */
 
 #include "testcase.h"
Index: testsuites/sptests/spobjgetnext/init.c
===================================================================
--- testsuites/sptests/spobjgetnext/init.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/spobjgetnext/init.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -16,5 +16,12 @@
 #include "system.h"
 
+/* prototypes */
+int scan_objects( 
+  Objects_Information *information,
+  Objects_Id           start
+);
+
 #define MAX_SCAN 10
+
 int scan_objects( 
   Objects_Information *information,
Index: testsuites/sptests/spsize/getint.c
===================================================================
--- testsuites/sptests/spsize/getint.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/spsize/getint.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -9,5 +9,5 @@
  *    returns - number read
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -23,4 +23,6 @@
 #include <stdlib.h>
 
+int getint( void );
+
 int getint( void )
 {
Index: testsuites/sptests/spsize/size.c
===================================================================
--- testsuites/sptests/spsize/size.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
+++ testsuites/sptests/spsize/size.c	(revision b84f1fdc0dddc6f5293b863f511c4f799a653b96)
@@ -1,8 +1,7 @@
-/*  main
- *
+/*
  *  This program is run to determine the data space and work space
  *  requirements of the current version of RTEMS.
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -53,4 +52,8 @@
 /* external function prototypes */
 int getint( void );
+void size_rtems(int mode);
+void help_size(void);
+void print_formula(void);
+
 
 /* These are always defined by the executive.
@@ -134,7 +137,4 @@
 
 uint32_t   sys_req;
-
-void help_size();
-void print_formula();
 
 void size_rtems(
